$NetBSD$

g_atomic_int_exchange_and_add is deprecated since glib 2.30.

--- addressbook/libedata-book/e-data-book.c.orig	2011-04-21 19:35:36.000000000 +0000
+++ addressbook/libedata-book/e-data-book.c
@@ -632,7 +632,11 @@ construct_bookview_path (void)
 
 	return g_strdup_printf ("/org/gnome/evolution/dataserver/addressbook/BookView/%d/%d",
 				getpid (),
+#if GLIB_CHECK_VERSION(2,30,0)
+				g_atomic_int_add ((int*)&counter, 1));
+#else
 				g_atomic_int_exchange_and_add ((int*)&counter, 1));
+#endif
 }
 
 static gboolean
