$NetBSD$

g_atomic_int_exchange_and_add is deprecated since glib 2.30.

--- addressbook/libedata-book/e-data-book-factory.c.orig	2011-04-21 19:36:35.000000000 +0000
+++ addressbook/libedata-book/e-data-book-factory.c
@@ -228,8 +228,12 @@ construct_book_factory_path (void)
 	static volatile gint counter = 1;
 
 	return g_strdup_printf (
-		"/org/gnome/evolution/dataserver/addressbook/%d/%u",
-		getpid (), g_atomic_int_exchange_and_add (&counter, 1));
+		"/org/gnome/evolution/dataserver/addressbook/%d/%u", getpid(),
+#if GLIB_CHECK_VERSION(2,30,0)
+		g_atomic_int_add (&counter, 1));
+#else
+		g_atomic_int_exchange_and_add (&counter, 1));
+#endif
 }
 
 static gboolean
